ChangeSet 1.1455.1.9, 2003/07/14 16:33:18-07:00, greg@kroah.com

[PATCH] PCI: remove usages of pci slot_name from acpi pci hotplug driver


 drivers/pci/hotplug/acpiphp_glue.c |    4 ++--
 drivers/pci/hotplug/acpiphp_pci.c  |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/pci/hotplug/acpiphp_glue.c b/drivers/pci/hotplug/acpiphp_glue.c
--- a/drivers/pci/hotplug/acpiphp_glue.c	Mon Jul 14 16:55:13 2003
+++ b/drivers/pci/hotplug/acpiphp_glue.c	Mon Jul 14 16:55:13 2003
@@ -607,7 +607,7 @@
 
 	/* check if this bridge has ejectable slots */
 	if (detect_ejectable_slots(handle) > 0) {
-		dbg("found PCI-to-PCI bridge at PCI %s\n", dev->slot_name);
+		dbg("found PCI-to-PCI bridge at PCI %s\n", pci_name(dev));
 		add_p2p_bridge(handle, seg, bus, device, function);
 	}
 
@@ -693,7 +693,7 @@
 
 		if (func->flags & FUNC_HAS_PS0) {
 			dbg("%s: executing _PS0 on %s\n", __FUNCTION__,
-			    func->pci_dev->slot_name);
+			    pci_name(func->pci_dev));
 			status = acpi_evaluate_object(func->handle, "_PS0", NULL, NULL);
 			if (ACPI_FAILURE(status)) {
 				warn("%s: _PS0 failed\n", __FUNCTION__);
diff -Nru a/drivers/pci/hotplug/acpiphp_pci.c b/drivers/pci/hotplug/acpiphp_pci.c
--- a/drivers/pci/hotplug/acpiphp_pci.c	Mon Jul 14 16:55:13 2003
+++ b/drivers/pci/hotplug/acpiphp_pci.c	Mon Jul 14 16:55:13 2003
@@ -212,7 +212,7 @@
 	int count;
 	struct pci_resource *res;
 
-	dbg("Device %s\n", dev->slot_name);
+	dbg("Device %s\n", pci_name(dev));
 
 	for (count = 0; address[count]; count++) {	/* for 6 BARs */
 		pci_read_config_dword(dev, address[count], &bar);
@@ -337,7 +337,7 @@
 	struct pci_dev *dev;
 
 	dev = func->pci_dev;
-	dbg("Hot-pluggable device %s\n", dev->slot_name);
+	dbg("Hot-pluggable device %s\n", pci_name(dev));
 
 	for (count = 0; address[count]; count++) {	/* for 6 BARs */
 		pci_read_config_dword(dev, address[count], &bar);
